      program co_julday_table 
!                                                                       
      integer jud(4),jmonth(4),jday(4),jyear(4) 
!                                                                       
      print 200 
      print 200, 'JULIAN DAY 1950  - DATE CORRESPONDENCE' 
      print 200 
      print 200 
!                                                                       
      do 10 j=0,18624,4 
!                                                                       
      jud(1)=j 
      jud(2)=j+1 
      jud(3)=j+2 
      jud(4)=j+3 
!                                                                       
      call cv_jul1950_to_date(jud(1),jyear(1),jmonth(1),jday(1)) 
      call cv_jul1950_to_date(jud(2),jyear(2),jmonth(2),jday(2)) 
      call cv_jul1950_to_date(jud(3),jyear(3),jmonth(3),jday(3)) 
      call cv_jul1950_to_date(jud(4),jyear(4),jmonth(4),jday(4)) 
!                                                                       
      print 100, (jud(k),jyear(k),jmonth(k),jday(k),k=1,4) 
   10 continue 
      print 200 
!                                                                       
      print 200 
      print 200, 'JULIAN DAY 2000  - DATE CORRESPONDENCE' 
      print 200 
      print 200 
!                                                                       
      do 20 j=0,10000,4 
!                                                                       
      jud(1)=j 
      jud(2)=j+1 
      jud(3)=j+2 
      jud(4)=j+3 
!                                                                       
      call cv_jul2000_to_date(jud(1),jyear(1),jmonth(1),jday(1)) 
      call cv_jul2000_to_date(jud(2),jyear(2),jmonth(2),jday(2)) 
      call cv_jul2000_to_date(jud(3),jyear(3),jmonth(3),jday(3)) 
      call cv_jul2000_to_date(jud(4),jyear(4),jmonth(4),jday(4)) 
!                                                                       
      print 100, (jud(k),jyear(k),jmonth(k),jday(k),k=1,4) 
   20 continue 
      print 200 
!                                                                       
  100 format(4(2x,i6,1x,i4,'-',i2.2,'-',i2.2)) 
  200 format(a) 
!                                                                       
      stop 'co_julday_table.exe: normal termination' 
      END                                           
